BlendCurve3DBuilder Class

class NXOpen.Tooling.BlendCurve3DBuilder

Bases: NXOpen.Builder

Represents a NXOpen.Tooling.BlendCurve3DBuilder builder which implements blend curves in one side where the corner radius is too small.

This builder’s Commit generally can produce only one (sometimes more than one) new blended curve, the GetCommittedObjects can be used to get the objects. The input curves will be deleted. To create a new instance of this class, use NXOpen.Tooling.CAMDataManager.CreateBlendCurve3dBuilder()

Default values.

Property Value
BlendCurveOption Vector
DistanceTolerance 0.0254 (millimeters part), 0.001 (inches part)
InputCurves Hide
MinimalRadius 10 (millimeters part), 0.4 (inches part)

New in version NX9.0.0.

Properties

Property Description
BlendCurveOption Returns or sets the blend curve option
CornerFillet Returns the corners to blend.
CurveBlend Returns the curves to blend.
DistanceTolerance Returns or sets the distance tolerance.
InputCurves Returns or sets the input curves
MinimalRadius Returns or sets the minimal radius of the corner to blend.
ReferenceDirection Returns or sets the reference direction from which to get the curve blend side.
ReverseSide Returns or sets the flag of reverse curve blend side.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CreateBlendCurves Creates the blend curves for preview.
DeleteBlendCurves Delete the preview blend curves.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
SaveFilletCurves Save the corner fillet curves.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

BlendCurve3DBuilderBlendCurveOptions Enumeration The blend curve creation methods: Best Fit, Variable, Vector, Current View
BlendCurve3DBuilderInputCurvesOption Enumeration The input curves option to keep, hide or delete input curves

Property Detail

BlendCurveOption

BlendCurve3DBuilder.BlendCurveOption

Returns or sets the blend curve option

-------------------------------------

Getter Method

Signature BlendCurveOption

Returns:
Return type:NXOpen.Tooling.BlendCurve3DBuilderBlendCurveOptions

New in version NX9.0.2.

License requirements: None.

-------------------------------------

Setter Method

Signature BlendCurveOption

Parameters:blendCurveOption (NXOpen.Tooling.BlendCurve3DBuilderBlendCurveOptions) –

New in version NX9.0.2.

License requirements: nx_freeform_2 (“advanced freeform modeling”) OR die_engineering (“DIE ENGINEERING”)

CornerFillet

BlendCurve3DBuilder.CornerFillet

Returns the corners to blend.

-------------------------------------

Getter Method

Signature CornerFillet

Returns:
Return type:NXOpen.ScCollector

New in version NX9.0.0.

License requirements: None.

CurveBlend

BlendCurve3DBuilder.CurveBlend

Returns the curves to blend.

-------------------------------------

Getter Method

Signature CurveBlend

Returns:
Return type:NXOpen.ScCollector

New in version NX9.0.0.

License requirements: None.

DistanceTolerance

BlendCurve3DBuilder.DistanceTolerance

Returns or sets the distance tolerance.

-------------------------------------

Getter Method

Signature DistanceTolerance

Returns:
Return type:float

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DistanceTolerance

Parameters:distanceTolerance (float) –

New in version NX9.0.0.

License requirements: nx_freeform_2 (“advanced freeform modeling”) OR die_engineering (“DIE ENGINEERING”)

InputCurves

BlendCurve3DBuilder.InputCurves

Returns or sets the input curves

-------------------------------------

Getter Method

Signature InputCurves

Returns:
Return type:NXOpen.Tooling.BlendCurve3DBuilderInputCurvesOption

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature InputCurves

Parameters:inputCurves (NXOpen.Tooling.BlendCurve3DBuilderInputCurvesOption) –

New in version NX9.0.0.

License requirements: nx_freeform_2 (“advanced freeform modeling”) OR die_engineering (“DIE ENGINEERING”)

MinimalRadius

BlendCurve3DBuilder.MinimalRadius

Returns or sets the minimal radius of the corner to blend.

-------------------------------------

Getter Method

Signature MinimalRadius

Returns:
Return type:float

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature MinimalRadius

Parameters:minimalRadius (float) –

New in version NX9.0.0.

License requirements: nx_freeform_2 (“advanced freeform modeling”) OR die_engineering (“DIE ENGINEERING”)

ReferenceDirection

BlendCurve3DBuilder.ReferenceDirection

Returns or sets the reference direction from which to get the curve blend side.

-------------------------------------

Getter Method

Signature ReferenceDirection

Returns:
Return type:NXOpen.Direction

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ReferenceDirection

Parameters:referenceDirection (NXOpen.Direction) –

New in version NX9.0.0.

License requirements: nx_freeform_2 (“advanced freeform modeling”) OR die_engineering (“DIE ENGINEERING”)

ReverseSide

BlendCurve3DBuilder.ReverseSide

Returns or sets the flag of reverse curve blend side.

-------------------------------------

Getter Method

Signature ReverseSide

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ReverseSide

Parameters:reverseSide (bool) –

New in version NX9.0.0.

License requirements: nx_freeform_2 (“advanced freeform modeling”) OR die_engineering (“DIE ENGINEERING”)

Method Detail

CreateBlendCurves

BlendCurve3DBuilder.CreateBlendCurves

Creates the blend curves for preview.

Signature CreateBlendCurves()

Returns:
Return type:list of NXOpen.Curve

New in version NX9.0.0.

License requirements: None.

DeleteBlendCurves

BlendCurve3DBuilder.DeleteBlendCurves

Delete the preview blend curves.

Signature DeleteBlendCurves(blendCurves)

Parameters:blendCurves (list of NXOpen.Curve) –

New in version NX9.0.0.

License requirements: None.

SaveFilletCurves

BlendCurve3DBuilder.SaveFilletCurves

Save the corner fillet curves.

Signature SaveFilletCurves()

New in version NX9.0.0.

License requirements: None.

Validate

BlendCurve3DBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.